Package com.smartgwt.client.bean.types

# Class CanvasBaseValueType<ValueType extends Canvas>

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.JsoWrapperValueType<ValueType>
com.smartgwt.client.bean.types.CanvasBaseValueType<ValueType>

public abstract class CanvasBaseValueType<ValueType extends Canvas> extends JsoWrapperValueType<ValueType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CanvasBaseValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canWrapJavaScriptObject(JavaScriptObject value)`
  `BeanValueType.Convertability`
  `convertabilityFrom(Object value)`
  `ValueType`
  `convertFrom(Object value)`
  `String`
  `getScClassName()`

  ### Methods inherited from class com.smartgwt.client.bean.types.JsoWrapperValueType

  `newInstance`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, getValueType, isA, isAssignableFrom, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CanvasBaseValueType

    public CanvasBaseValueType()

- ## Method Details

  - ### convertabilityFrom

    public BeanValueType.Convertability convertabilityFrom(Object value)
    Overrides:
      `convertabilityFrom` in class `JsoWrapperValueType<ValueType extends Canvas>`

  - ### getScClassName

    public String getScClassName()
    Overrides:
      `getScClassName` in class `JsoWrapperValueType<ValueType extends Canvas>`

  - ### canWrapJavaScriptObject

    protected boolean canWrapJavaScriptObject(JavaScriptObject value)
    Overrides:
      `canWrapJavaScriptObject` in class `JsoWrapperValueType<ValueType extends Canvas>`

  - ### convertFrom

    public ValueType convertFrom(Object value)
    Overrides:
      `convertFrom` in class `JsoWrapperValueType<ValueType extends Canvas>`